
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>hdu 4587 2013南京邀请赛B题/ / 求割点后连通分量数变形。 / 憋错料</title>

    <meta name="description" content="hdu 4587 2013南京邀请赛B题/ / 求割点后连通分量数变形。 题意:求一个无向图的,去掉两个不同的点后最多有几个连通分量. 思路:枚举每个点,假设去掉该点,然后对图求割点后连通分量数,更新最大的即可.算法相对简单,但是注意几个细节: 1:原图可能不连通. 2:有的连通分量只有一个点,当舍去该点时候,连通分量-1: 复习求割点的好题! #include&lt;iostream&gt; #include&lt;cstdio&gt; #include&lt;vector&gt; using namespace std; int n,m; vector&lt;ve ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">hdu 4587 2013南京邀请赛B题/ / 求割点后连通分量数变形。</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>题意：求一个无向图的，去掉两个不同的点后最多有几个连通分量。</p>
<p>思路：枚举每个点，假设去掉该点，然后对图求割点后连通分量数，更新最大的即可。算法相对简单，但是注意几个细节：</p>
<p>1：原图可能不连通。</p>
<p>2：有的连通分量只有一个点，当舍去该点时候，连通分量-1；</p>
<p>复习求割点的好题！</p>
<pre>#include&lt;iostream&gt;
#include&lt;cstdio&gt;
#include&lt;vector&gt;
using namespace std;
int n,m;
vector&lt;vector&lt;int&gt; &gt;e(10010);
int dfn[5010];int low[5010];int vis[5010];
int times=0;
int subset[5010];
int root=0;
int rf=0;
int son=0;
void tarjan(int u,int fa)     //无向图tarjan记录父亲
{
    if(u==rf)return;          //是被枚举的点，舍去（从图中删去）。
    dfn[u]=low[u]=times++;
    for(int i=0;i&lt;e[u].size();i++)
    {
        int v=e[u][i];
        if(v==rf)continue;     // 这里注意，舍去的点不要了
        if(!vis[v])
        {
            vis[v]=1;
            tarjan(v,u);
            if(low[v]&lt;low[u])low[u]=low[v];
            if(u==root)                   //求割点是根的情况
              {
                  son++;
              }
            else                  // 其他情况
            {
                if(dfn[u]&lt;=low[v])    //subset【u】+1记录 以u为割点后形成的连通分量数
                    subset[u]++;
            }

        }
        else if(v!=fa)         //条件注意
        {
            if(dfn[v]&lt;low[u])low[u]=dfn[v];
        }
    }
    return ;
}
int main()
{
    while(~scanf(&quot;%d%d&quot;,&amp;n,&amp;m))
    {
        for(int i=0;i&lt;=n;i++)
           {
             dfn[i]=low[i]=subset[i]=vis[i]=0;
             e[i].clear();
           }
        int ta,tb;
      for(int i=0;i&lt;m;i++)
      {
          scanf(&quot;%d%d&quot;,&amp;ta,&amp;tb);
           e[ta].push_back(tb);
           e[tb].push_back(ta);
      }
      int maxx=0;
      for(int i=0;i&lt;n;i++)   //枚举每个点
      {
          rf=i;               //i舍去
          vis[rf]=1;
          int scc=0;
          int maxson=0;
          for(int iii=0;iii&lt;n;iii++)          //考虑原图不连通！
             {
                 if(!vis[iii])
                 {
                     vis[iii]=1;
                     root=iii;
                     tarjan(iii,-1);
                     scc++;                     //连通分量数
                     if(son&gt;maxson)maxson=son;    //求出每个连通分量的根的最大的son
                     son=0;                         //每个连通分量要更新son
                 }
             }
            if(e[i].size()==0)scc--;    // 注意点！！！：该连通分量只有一个点！舍去的话就没了。
          for(int ii=0;ii&lt;n;ii++)             //取最大的
          {
              if(scc+subset[ii]+1-1&gt;maxx)maxx=scc+subset[ii]+1-1;
          }
          if(scc+maxson-1&gt;maxx)maxx=maxson+scc-1;
          for(int j=0;j&lt;n;j++)    //不忘更新！
          {
              dfn[j]=low[j]=subset[j]=vis[j]=0;
          }
          son=times=0;
      }
      cout&lt;&lt;maxx&lt;&lt;endl;
    }
    return 0;
}
</pre>
<p><P>hdu 4587 2013南京邀请赛B题/ / 求割点后连通分量数变形。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-12 02:33:28 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/code/" title="code">code</a>, <a href="https://www.biecuoliao.com/tag/class/" title="class">class</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/tar/" title="tar">tar</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>hdu 4587 2013南京邀请赛B题/ / 求割点后连通分量数变形。的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/355wpj3.html" rel="bookmark">2013 南京邀请赛 K题  yet another end of the world</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 /** 2 大意:给定一组x[],y[],z[] 确定有没有两个不同的x[i], x[j] 看是否存在一个ID使得 3 y[i]&lt;=ID%x[i]&lt;=z[i] 4 y[j]&lt;=ID%x[j]&lt;=z[j] 5 设ID%x[i] = a ID%x[j] = b 6 ===〉ID+x[i]*x=a, ID+x[j]*y = b; 7 两式相减得 x[j]*y - x[i]*x = b-a; 8 若是有解 就是(b-a)%gcd(x[i],x[j]) == 0 9 就是看b-a的范围内			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YWkjN4.html" rel="bookmark">2013 南京邀请赛 A play the dice  求概率</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 /** 2 大意:给定一个色子,有n个面,每一个面上有一个数字,在其中的m个面上有特殊的颜色,当掷出的色子出现这m个颜色之一时,可以再掷一次..求其最后的期望 3 思路:假设 期望为ans 4 ans = 1/n*(a[b[1]]+ans)+1/n*(a[b[2]]+ans)+....+1/n*(a[b[m]]+ans) +...+1/n*(a[k]).... 5 ans = m/n*ans+1/n*(a[1]+a[2]+a[3]+...a[n]) 6 ans = m/n*ans+sum/n			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OQgJXM.html" rel="bookmark">2013 南京邀请赛 C count the carries</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 /** 2 大意: 给定区间(a,b), 将其转化为二进制 计算从a+(a+1)+(a+2)....+(a+b-1),一共有多少次进位 3 思路: 将(a,b)区间内的数,转化为二进制后,看其每一位一共有多少个1 4 可知最低位循环为2,第二位循环为4 5 ---〉 所以每一位的1的个数为 : 假设为第三位 (n-n%8)/8*8/2===&gt;(n-n%8)/2 6 ------&gt; 如果n%8 大于8/2 那么应该再加上 n%8-8/2 7 **/ 8 #include &lt;iostre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3v129o0.html" rel="bookmark">【UVA10765】Doves and bombs （BCC求割点后联通块数量）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目: 题意: 给了一个联通无向图,现在问去掉某个点,会让图变成几个联通块? 输出的按分出的从多到小,若相等,输出标号从小到大.输出M个. 分析: BCC求割点后联通块数量,Tarjan算法. 联通块的数目在找到一个low[y]&gt;=dfn[x]时累加,最后加一即可. 代码如下: 1 #include&lt;cstdio&gt; 2 #include&lt;cstdlib&gt; 3 #include&lt;cstring&gt; 4 #include&lt;iostream&gt; 5 #inclu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lrYLN4.html" rel="bookmark">hdu 4751 2013南京赛区网络赛 二分图判断 &ast;&ast;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				和以前做过的一个二分图颇为相似,以前的是互相不认识的放在一组,这个是互相认识的,本质上是相同的 是 hdu 2444 1 #include&lt;cstdio&gt; 2 #include&lt;iostream&gt; 3 #include&lt;algorithm&gt; 4 #include&lt;cstring&gt; 5 #include&lt;cmath&gt; 6 #include&lt;queue&gt; 7 #include&lt;map&gt; 8 using namespace st			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoY2oQ3.html" rel="bookmark">hdu 4753 2013南京赛区网络赛 记忆化搜索 &ast;&ast;&ast;&ast;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看到范围基本可以想到dp了,处理起来有点麻烦 1 #include&lt;iostream&gt; 2 #include&lt;cstdio&gt; 3 #include&lt;cstring&gt; 4 #include&lt;string&gt; 5 #include&lt;algorithm&gt; 6 #include&lt;map&gt; 7 #include&lt;queue&gt; 8 #include&lt;stack&gt; 9 #include&lt;cmath&gt; 10 #inc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Moke6QM.html" rel="bookmark">&lpar;hdu step 6&period;3&period;1&rpar;Strategic Game&lpar;求用最少顶点数把所有边都覆盖，使用的是邻接表&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目: Strategic Game Time Limit: 20000/10000 MS (Java/Others) Memory Limit: 65536/32768 K (Java/Others) Total Submission(s): 110 Accepted Submission(s): 75   Problem Description Bob enjoys playing computer games, especially strategic games, but sometim			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MERjdQ0.html" rel="bookmark">UVA - 315 Network（tarjan求割点的个数）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:https://vjudge.net/contest/67418#problem/B 题意:给一个无向连通图,求出割点的数量.首先输入一个N(多实例,0结束),下面有不超过N行的数,每行的第一个数字代表后面的都和它存在边,0表示行输入的结束. 题解:简单的求割点模版,所谓割点就是去掉这一个点还有于这个点链接的边之后使得原来的图连通块增加. 由于这是模版题代码会加上注释. #include &lt;iostream&gt; #include &lt;cstring&gt; using namesp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBnOaJM.html" rel="bookmark">HDU 4815 2013长春现场赛C题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C - Little Tiger vs. Deep Monkey Time Limit:1000MS     Memory Limit:65535KB     64bit IO Format:%I64d &amp; %I64u Submit Status Practice HDU 4815 Description A crowd of little animals is visiting a mysterious laboratory ? The Deep Lab of SYSU. &quot;Are y			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/P472PR3.html" rel="bookmark" class="title">谢烟客---------Linux之深入理解anaconda使用</a>
					<div>
						获取详细的帮助: 官方文档: &lt;Installation Guide&gt; anaconda位置 anaconda命令行 anaconda配置方式 kickstart文件格式 kickstar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/w3vqRZ0.html" rel="bookmark" class="title">uwsgi 配置 初试</a>
					<div>
						/************************************************************************************** * uwsgi 配置 初 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35lYNn0.html" rel="bookmark" class="title">for循环的练习题</a>
					<div>
						//百钱百鸡 for(int i=20;i&gt;=0;i--){ for(int j=33;j&gt;=0;j--){ for(int z = 99;z &gt;= 0 ; z-=3){ if((5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e55vJ0.html" rel="bookmark" class="title">Android开发 R cannot be resolved to a variable问题的分析</a>
					<div>
						R文件是系统自动生成的,如果没出现的话,你的XML文件是不是有错误?是否之前修改过res文件夹下面.xml文件 R文件没有生成的情况有几种: 1.项目没有自动编译:这种时候只需要简单的编译一下工程就会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmAXwXM.html" rel="bookmark" class="title">什么是UILabel</a>
					<div>
						UILabel极其常用,功能比较专一:显示文字 UILabel的常见属性 @property(nonatomic,copy) NSString *text; 显示的文字 @property(nonat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWlRn4.html" rel="bookmark" class="title">Timestame类型和String 类型的转化</a>
					<div>
						Timestame类型和String 类型的转化 String转化为Timestamp: SimpleDateFormat df = new SimpleDateFormat(&quot;yyyy-M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyW6wE3.html" rel="bookmark" class="title">C&plus;&plus;取余</a>
					<div>
						自己整理的一点跟取余有关的东西,希望对大家有用. 取余方法1: 整型取余的运算符  % , 使用方法 x%y. x和y必须都是整型,但是不一定是正的. %运算符叫做求余(remainder)或者求模( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j1EyZM.html" rel="bookmark" class="title">poj 1064 Cable master ，二分 精度！！！</a>
					<div>
						给出n根绳子,求把它们切割成K条等长的绳子的最大长度是多少? 二分 用 for(int i=0; i&lt;100; ++i) 代替   while(r-l&gt;eps) 循环100次精度能达到1e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGRv2G4.html" rel="bookmark" class="title">Delphi与字符编码（实战篇）（MultiByteToWideChar会返回转换后的宽字符串长度）</a>
					<div>
						本文目标: 了解Delphi的字符串类型 字符编码的检测与转换 简体繁体转换 0. 导言 看完“.Net与字符编码(理论篇)”,我们明白了字符是自然语言中的最小单位,在存储和传输的过程中可以使用三种编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rbQqq3.html" rel="bookmark" class="title">python pil 安装</a>
					<div>
						Ubuntu下 sudo pip install pil 安装PIL可能会出现问题,例如安装完成时显示JPEG support not available 或者 ZLIB (PNG/ZIP) supp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEWnEZ3.html" rel="bookmark" class="title">《微信公众平台快速上手教程》目录导航，刘子骏de新媒体，图解版本</a>
					<div>
						10年互联网从业者,草根创业者,新媒体营销研究者.作者博客:www.liuzijun.com 有些公众平台的基本用法可以参照上面的教程. 微信公众平台快速上手教程Part1 注册账户与认证 微信公众平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lN1GP4.html" rel="bookmark" class="title">汇总几点前端优化的手段</a>
					<div>
						1. 压缩html 标签前面的空白不是文描,可以去掉降低文件大小,对于freemarker,通过&lt;#compress&gt;&lt;/#compress&gt;指令实现 2. css,js压缩  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J9QAQ3.html" rel="bookmark" class="title">ubuntu-安装中文拼音输入法</a>
					<div>
						一下内容转载自http://blog.chinaunix.net/uid-24410388-id-3501873.html 自己验证了可用.转载了,已留做日后使用 步骤: step1:安装ibus所需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jLx7V4.html" rel="bookmark" class="title">java使用Properties读取中文资源出现乱码</a>
					<div>
						因为Properties类默认使用ISO8859-1对资源进行编码(它是不管配置文件的编码格式的),而java程序中的中文资源需要用UTF-8进行编码,然后才能识别出来.所以需要进行编码转换. Str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4N1NKB3.html" rel="bookmark" class="title">jenkins集成sonarqube代码审核</a>
					<div>
						目前在持续集成领域,除了后起之秀travis ci,在老牌工具中,最著名的还是非jenkins莫属.本篇文章简单的说一声jenkins与sonarqube的集成来实现代码的静态审核. 在这里不详细罗列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rPlbwM.html" rel="bookmark" class="title">基于任务的异步模式&lpar;TAP&rpar;</a>
					<div>
						Task .net 4.0为我们带来了Task的异步,我们有以下三种方法创建Task. 1,Task.Factory.StartNew,比较常用. 2,Task.Run,是.net 4.5中增加的.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lDrWB0.html" rel="bookmark" class="title">Android 用户界面---定制组件（Custom Components）</a>
					<div>
						基于布局类View和ViewGroup的基本功能,Android为创建自己的UI界面提供了先进和强大的定制化模式.首先,平台包含了各种预置的View和ViewGroup子类---Widget和layo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47zv113.html" rel="bookmark" class="title">MySQL的恢复脚本</a>
					<div>
						原文转自: http://blog.csdn.net/dbanote/article/details/13295727 应用场景: ********************************** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MznBRlM.html" rel="bookmark" class="title">软件测试常见风险分析</a>
					<div>
						在测试工作中,主要的风险表现有以下几点: (1)需求风险.对软件需求理解不准确,导致测试范围存在误差,遗漏部分需求或者执行了错误的测试方式:另外需求变更导致测试用例变更,同步时存在误差. (2)测试用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kw8ql0.html" rel="bookmark" class="title">Android中view的事件</a>
					<div>
						view:top.left.right.bottom,相对于parent的位置参数,获取通过get*()来获取.width=right-left.height=bottom-top.x=left+tr ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
